export default () => {
	return {
		mobile(rule, value, callback) {
			if (value === '') {
				return new Error('请输入手机号')
			}
			if (!/^1\d{10}$/.test(value)) {
				return new Error('请输入正确的手机号')
			}
			return true
		},
		name(rule, value, callback) {
			if (value === '') {
				return new Error('请输入名字')
			}
			if (!/^[a-zA-Z\u4e00-\u9fa5]+$/g.test(value)) {
				return new Error('名字只能是汉字或字母')
			}
			return true
		},
		idCard(rule, value, callback) {
			if (value === '') {
				return new Error('请输入身份证号')
			}
			if (!
				/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/
					.test(value)) {
				return new Error('请输入正确的身份证号')
			}
			return true
		},


		contacts(rule, value, callback) {
			if (value === '') {
				return new Error('请输入联系人')
			}
			if (!/^[a-zA-Z\u4e00-\u9fa5]+$/g.test(value)) {
				return new Error('联系人只能是汉字或字母')
			}
			return true
		},

		fullname(rule, value, callback) {
			if (value === '') {
				return new Error('请输入姓名')
			}
			if (!/^[a-zA-Z\u4e00-\u9fa5]+$/g.test(value)) {
				return new Error('姓名只能是汉字或字母')
			}
			return true
		},

		email(rule, value, callback) {
			if (value === '') {
				return new Error('请输入邮箱')
			}
			if (!/^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/.test(value)) {
				return new Error('邮箱格式不正确')
			}
			return true
		}
	}
}